# Create a business

Creates a business.
Supports both corporate and sole trader business types, each with a different set of required fields.
See the Business accounts guide ([TOL](https://docs.upvest.co/products/tol/guides/accounts/businesses_overview) / [BYOL](https://docs.upvest.co/products/byol/guides/accounts/businesses_overview)) for implementation details.

Endpoint: POST /businesses
Version: 1.159.0
Security: oauth-client-credentials

## Security:

  - `oauth-client-credentials` (unknown)
    oauth2 scopes: businesses:admin

## Header parameters:

  - `idempotency-key` (string, required)
    A UUID to be used as an idempotency key.  This prevents a duplicate request from being replayed.
https://docs.upvest.co/documentation/concepts/api_concepts/idempotency

  - `upvest-client-id` (string, required)
    Your client ID, issued by Upvest. Identifies the client making the request. Universally Unique Identifier (UUID).

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)

## Request fields (application/json):

  - `contact_email` (string, required)
    Contact email address of the business.

  - `registered_address` (object, required)
    Address. Must not be a P.O. box or c/o address.

  - `registered_address.address_line1` (string, required)
    First address line of the address.

  - `registered_address.address_line2` (string)
    Second address line of the address.

  - `registered_address.postcode` (string, required)
    Postal code (postcode, PIN or ZIP code)

  - `registered_address.country` (string, required)
    Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"

  - `registered_address.state` (string)
    State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).

  - `registered_address.city` (string, required)
    The name of a city, as it appears in a postal address.

  - `registration_number` (string)
    Registration number of the business.

  - `tax_information` (object, required)
    Tax information of the business.

  - `tax_information.tax_country_code` (string, required)
    Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"

  - `tax_information.tax_identification_type` (string, required)
    Type of tax identification used by the business.
    Enum: "STEUERNUMMER", "WIRTSCHAFTSIDENTIFIKATIONSNUMMER"

  - `tax_information.tax_identification_number` (string, required)
    Tax identification number of the business.
When `tax_identification_type` is `STEUERNUMMER`, the value is 10 or 11 digits, provided either as bare digits or in a state-specific slash-grouped layout. Slashes are all-or-nothing and must appear at the grouping positions:
| Format | Grouping | Example |
|  --- | --- | --- |
| Bare digits | 10 or 11 digits | `1234567890`, `12345678901` |
| North Rhine-Westphalia | 3/4/4 | `133/8150/8159` |
| Bavaria | 3/3/5 | `181/815/08155` |
| Standard 10-digit | 2/3/5 | `24/815/08151` |
| Alternative 10-digit (Berlin, Bremen, Lower Saxony) | 3/3/4 | `181/815/0815` |

When `tax_identification_type` is `WIRTSCHAFTSIDENTIFIKATIONSNUMMER`, the value is `DE` followed by 9 digits, with an optional 5-digit distinguishing feature (for example `DE123456789` or `DE123456789-00001`).

  - `tax_information.is_resident_in_multiple_tax_jurisdictions` (boolean, required)
    Indicates if the business is resident in multiple tax jurisdictions.

  - `tax_information.is_subject_to_fatca` (boolean, required)
    Indicates if the business is subject to FATCA regulations.

  - `business_type` (string, required)
    Type of the business.
    Enum: "LIMITED_LIABILITY_COMPANY"

  - `identification` (object, required)
    Identification information of the business.

  - `identification.company_name` (string, required)
    Name of the company.

  - `identification.incorporation_date` (string, required)
    Incorporation date of the business in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)

  - `identification.district_court` (string)
    District court where the company is registered.

  - `identification.legal_designation` (string, required)
    Country specific legal designation of the company.
    Enum: "GESELLSCHAFT_MIT_BESCHRAENKTER_HAFTUNG", "UNTERNEHMERGESELLSCHAFT", "AKTIENGESELLSCHAFT"

  - `identification.legal_entity_identifier` (string)
    Legal Entity Identifier (LEI) of the company. A 20-character alphanumeric code as defined by [ISO 17442](https://en.wikipedia.org/wiki/Legal_Entity_Identifier).

  - `identification.common_reporting_standards` (object, required)
    Common reporting standards information.

  - `identification.common_reporting_standards.is_passive_non_financial_entity` (boolean, required)
    Indicates if the company is a passive non-financial entity.

  - `identification.common_reporting_standards.is_financial_institution` (boolean, required)
    Indicates if the company is a financial institution.

  - `terms_and_conditions` (object, required)
    Terms and conditions agreement.

  - `terms_and_conditions.consent_document_id` (string, required)
    UUID of the consent document.

  - `terms_and_conditions.confirmed_at` (string, required)
    Timestamp when the terms and conditions were confirmed.

  - `data_privacy_and_sharing_agreement` (object, required)
    Data privacy and sharing agreement.

  - `data_privacy_and_sharing_agreement.consent_document_id` (string, required)
    UUID of the data privacy and sharing agreement document.

  - `data_privacy_and_sharing_agreement.confirmed_at` (string, required)
    Timestamp when the data privacy and sharing agreement was confirmed.

  - `business_type` (string, required)
    Type of the business. Always `SOLE_TRADER` for sole trader businesses.

  - `identification` (object, required)
    Identification information of the sole trader business.

  - `identification.company_name` (string, required)
    Name of the sole trader business.

  - `identification.legal_designation` (string, required)
    Country specific legal designation of the sole trader business.
    Enum: "EINZELUNTERNEHMER", "FREIBERUFLER", "EINGETRAGENER_KAUFMANN", "EINGETRAGENE_KAUFFRAU"

## Request examples:

  - `Company business` (unknown)

  - `Sole Trader business` (unknown)

## Response 200:

  - `200` (unknown)
    Business created.

## Response 200 fields (application/json):

  - `id` (string)
    Unique identifier for the business.

  - `created_at` (string)
    Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `updated_at` (string)
    Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)

  - `contact_email` (string)
    Contact email address of the business.

  - `registered_address` (object)
    Address. Must not be a P.O. box or c/o address.

  - `registered_address.address_line1` (string, required)
    First address line of the address.

  - `registered_address.address_line2` (string)
    Second address line of the address.

  - `registered_address.postcode` (string, required)
    Postal code (postcode, PIN or ZIP code)

  - `registered_address.country` (string, required)
    Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"

  - `registered_address.state` (string)
    State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).

  - `registered_address.city` (string, required)
    The name of a city, as it appears in a postal address.

  - `registration_number` (string)
    Registration number of the business.

  - `tax_information` (object)
    Tax information of the business.

  - `tax_information.tax_country_code` (string, required)
    Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
    Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"

  - `tax_information.tax_identification_type` (string, required)
    Type of tax identification used by the business.
    Enum: "STEUERNUMMER", "WIRTSCHAFTSIDENTIFIKATIONSNUMMER"

  - `tax_information.tax_identification_number` (string, required)
    Tax identification number of the business.
When `tax_identification_type` is `STEUERNUMMER`, the value is 10 or 11 digits, provided either as bare digits or in a state-specific slash-grouped layout. Slashes are all-or-nothing and must appear at the grouping positions:
| Format | Grouping | Example |
|  --- | --- | --- |
| Bare digits | 10 or 11 digits | `1234567890`, `12345678901` |
| North Rhine-Westphalia | 3/4/4 | `133/8150/8159` |
| Bavaria | 3/3/5 | `181/815/08155` |
| Standard 10-digit | 2/3/5 | `24/815/08151` |
| Alternative 10-digit (Berlin, Bremen, Lower Saxony) | 3/3/4 | `181/815/0815` |

When `tax_identification_type` is `WIRTSCHAFTSIDENTIFIKATIONSNUMMER`, the value is `DE` followed by 9 digits, with an optional 5-digit distinguishing feature (for example `DE123456789` or `DE123456789-00001`).

  - `tax_information.is_resident_in_multiple_tax_jurisdictions` (boolean, required)
    Indicates if the business is resident in multiple tax jurisdictions.

  - `tax_information.is_subject_to_fatca` (boolean, required)
    Indicates if the business is subject to FATCA regulations.

  - `business_type` (string)
    Type of the business.
    Enum: "LIMITED_LIABILITY_COMPANY"

  - `identification` (object)
    Identification information of the business.

  - `identification.company_name` (string, required)
    Name of the company.

  - `identification.incorporation_date` (string, required)
    Incorporation date of the business in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)

  - `identification.district_court` (string)
    District court where the company is registered.

  - `identification.legal_designation` (string, required)
    Country specific legal designation of the company.
    Enum: "GESELLSCHAFT_MIT_BESCHRAENKTER_HAFTUNG", "UNTERNEHMERGESELLSCHAFT", "AKTIENGESELLSCHAFT"

  - `identification.legal_entity_identifier` (string)
    Legal Entity Identifier (LEI) of the company. A 20-character alphanumeric code as defined by [ISO 17442](https://en.wikipedia.org/wiki/Legal_Entity_Identifier).

  - `identification.common_reporting_standards` (object, required)
    Common reporting standards information.

  - `identification.common_reporting_standards.is_passive_non_financial_entity` (boolean, required)
    Indicates if the company is a passive non-financial entity.

  - `identification.common_reporting_standards.is_financial_institution` (boolean, required)
    Indicates if the company is a financial institution.

  - `terms_and_conditions` (object)
    Terms and conditions agreement.

  - `terms_and_conditions.consent_document_id` (string, required)
    UUID of the consent document.

  - `terms_and_conditions.confirmed_at` (string, required)
    Timestamp when the terms and conditions were confirmed.

  - `data_privacy_and_sharing_agreement` (object)
    Data privacy and sharing agreement.

  - `data_privacy_and_sharing_agreement.consent_document_id` (string, required)
    UUID of the data privacy and sharing agreement document.

  - `data_privacy_and_sharing_agreement.confirmed_at` (string, required)
    Timestamp when the data privacy and sharing agreement was confirmed.

  - `status` (string)
    Status of the business.
* ACTIVE -
* INACTIVE -
* OFFBOARDING -
* OFFBOARDED -
    Enum: "ACTIVE", "INACTIVE", "OFFBOARDING", "OFFBOARDED"

  - `business_type` (string)
    Type of the business. Always `SOLE_TRADER` for sole trader businesses.

  - `identification` (object)
    Identification information of the sole trader business.

  - `identification.company_name` (string, required)
    Name of the sole trader business.

  - `identification.legal_designation` (string, required)
    Country specific legal designation of the sole trader business.
    Enum: "EINZELUNTERNEHMER", "FREIBERUFLER", "EINGETRAGENER_KAUFMANN", "EINGETRAGENE_KAUFFRAU"

## Response 200 headers (application/json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 400:

  - `400` (unknown)
    Bad Request. The incoming request had a malformed parameter/object.

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 400 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 401:

  - `401` (unknown)
    Unauthorized. The caller has not been authenticated.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 403:

  - `403` (unknown)
    Forbidden. The caller has been authenticated but is not allowed to take the requested action.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 406:

  - `406` (unknown)
    Not Acceptable. The resource does not have a current representation that would be acceptable to the user agent. "Accept" header defined unsupported value.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 429:

  - `429` (unknown)
    Too Many Requests. The caller has exceeded their quota for the time period and has been throttled.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 500:

  - `500` (unknown)
    Internal Server Error. The service encountered an unexpected error.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 503:

  - `503` (unknown)
    Service Unavailable. The service handling for this request cannot be reached at this time.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 504:

  - `504` (unknown)
    Gateway Timeout. The service gateway has reached its internal timeout.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 headers (application/problem+json):

  - `upvest-request-id` (string, required)
    Example: 169ae4c7-ebd7-4041-94da-25369653eba7

## Response 200 examples:

  - `Company business` (unknown)

  - `Sole Trader business` (unknown)

